Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003591TestLinkTest Executepublic2010-07-12 12:312010-09-19 15:10
Reporterjakcam 
Assigned ToJulian 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 5 
Fixed in Version1.9 Beta 6 
Summary0003591: Order Test case by "Test priority" in the view "Test Cases Assigned to me"
DescriptionHello everybody,

I am wondering if it is possible to for the view "Test Cases Assigned to me" :
   1.) Order Test case by "Priority" in a TestPlan ?
   2.) Add a link (per test case) which redirect to execute sheet ?

It will be a great thing for some of my testors who have a lot of test cases assigned to them.

If you have any time to implement it but you thing nevertheless it si not a so bad idea. I can try to help you to provide this modification and in this case have you some advice to give to me?

Thanks in advance for the time spent.

Best regards,
Guillaume
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-3591.zip [^] (39,045 bytes) 2010-07-14 18:43

- Relationships
related to 0003576closedasimon Confusing link on "Test Cases Assigned to me" page 

-  Notes
(0010612)
fman (administrator)
2010-07-12 16:47

never use an issue for more than one request. => split this issue
(0010614)
fman (administrator)
2010-07-12 17:05

>> Add a link (per test case) which redirect to execute sheet ?
You have already a link on main menu to execute feature => this link is not needed
=> reject
(0010615)
fman (administrator)
2010-07-12 17:09

>>1.) Order Test case by "Priority" in a TestPlan ?
only is new column is added to output record set
(0010616)
jakcam (reporter)
2010-07-12 18:28

>>only is new column is added to output record set

Sorry but i don't understand what you mean ?

Thanks for you reactivity !

Best regards,
Guillaume
(0010628)
fman (administrator)
2010-07-13 16:59

>>only is new column is added to output record set
>>Sorry but i don't understand what you mean ?
if the column is not displayed to users, we will not use as order criteria
(0010630)
jakcam (reporter)
2010-07-13 17:49

>>if the column is not displayed to users, we will not use as order criteria

Okay i am totally agree with you! But do you accept to implement that or do i have to implement it by myself and propose to you my modifications ?

Best regards,
Guillaume
(0010631)
fman (administrator)
2010-07-13 18:54

please contribute using last CVS code
(0010635)
Julian (reporter)
2010-07-14 09:58

i will add test priority column
(0010643)
Julian (reporter)
2010-07-14 14:23

Column priority is now shown if "Testing Priority" is enabled for test project
(0010649)
fman (administrator)
2010-07-14 18:32

great!, please attach here fix
(0010650)
Julian (reporter)
2010-07-14 18:46

fix attached.

changes included in fix (vs. Beta5):

- added column priority
- show platforms for assigned test cases
- show only assigned test cases of active test plans
- alternating coloring of table rows removed -> table looks better after sorting
- sort table by columns
(0011145)
fman (administrator)
2010-08-31 20:28

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2010-07-12 12:31 jakcam New Issue
2010-07-12 13:38 Julian Relationship added related to 0003576
2010-07-12 16:47 fman Note Added: 0010612
2010-07-12 17:05 fman Note Added: 0010614
2010-07-12 17:09 fman Note Added: 0010615
2010-07-12 18:28 jakcam Note Added: 0010616
2010-07-13 16:59 fman Note Added: 0010628
2010-07-13 17:49 jakcam Note Added: 0010630
2010-07-13 18:54 fman Note Added: 0010631
2010-07-14 09:58 Julian Note Added: 0010635
2010-07-14 09:58 Julian Assigned To => Julian
2010-07-14 09:58 Julian Status new => assigned
2010-07-14 14:23 Julian Note Added: 0010643
2010-07-14 14:23 Julian Status assigned => resolved
2010-07-14 14:23 Julian Fixed in Version => 1.9 Beta 6
2010-07-14 14:23 Julian Resolution open => fixed
2010-07-14 18:32 fman Note Added: 0010649
2010-07-14 18:32 fman Summary Order Test case by "Test priority" in the view "Test Cases Assigned to me" and add "execute link" => Order Test case by "Test priority" in the view "Test Cases Assigned to me"
2010-07-14 18:42 Julian Status resolved => assigned
2010-07-14 18:42 Julian Resolution fixed => reopened
2010-07-14 18:43 Julian File Added: fix-3591.zip
2010-07-14 18:46 Julian Note Added: 0010650
2010-07-14 18:46 Julian Status assigned => resolved
2010-07-14 18:46 Julian Resolution reopened => fixed
2010-08-31 20:28 fman Note Added: 0011145
2010-08-31 20:28 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker